.checkout-container {
    display: grid;
    grid-template-columns: 1.2fr 0.8fr;
    gap: 40px;
    max-width: 1100px;
    margin: 40px auto;
    padding: 0 15px;
}

.checkout-form h2 {
    margin-bottom: 20px;
}

.checkout-form form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.checkout-form input,
.checkout-form select {
    padding: 12px;
    border-radius: 8px;
    border: 1px solid #ccc;
    font-size: 14px;
}

.checkout-form .row {
    display: flex;
    gap: 10px;
}

    .checkout-form .row input {
        flex: 1;
    }

.checkbox {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
}

.btn-primary {
    margin-top: 10px;
    padding: 14px;
    border-radius: 10px;
    background: #0066ff;
    color: #fff;
    border: none;
    font-size: 16px;
    cursor: pointer;
}

/* SUMMARY */
.checkout-summary {
    background: #fafafa;
    padding: 20px;
    border-radius: 14px;
    height: fit-content;
}

    .checkout-summary h3 {
        margin-bottom: 15px;
    }

.summary-item {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 10px;
    align-items: center;
    margin-bottom: 15px;
}


.summary-row {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

    .summary-row.total {
        font-size: 18px;
        font-weight: bold;
        margin-top: 15px;
    }

.muted {
    font-size: 13px;
    color: #666;
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .checkout-container {
        grid-template-columns: 1fr;
    }
}

.error {
    color: #d93025;
    font-size: 12px;
    margin-top: -8px;
}

input.invalid {
    border-color: #d93025;
}

input.valid {
    border-color: #34a853;
}


.success-modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.success-box {
    background: #fff;
    padding: 32px;
    max-width: 420px;
    width: 90%;
    border-radius: 12px;
    text-align: center;
    box-shadow: 0 10px 40px rgba(0,0,0,.2);
}

    .success-box h2 {
        margin-bottom: 12px;
    }

    .success-box p {
        color: #555;
        margin-bottom: 24px;
    }

.hidden {
    display: none;
}

.product-btn {
    width: 100%;
    padding: 14px;
    border-radius: 30px;
    font-size: 1.05rem;
    font-weight: 600;
    border: 2px solid transparent;
    cursor: pointer;
    transition: 0.3s ease;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

 .button {
    padding: 10px 26px;
    border: 2px solid transparent;
    color: #ffffff;
    border-radius: 30px;
    background-color: #007BFF;
    font-weight: 500;
    transition: 0.3s ease;
}

 .button:hover {
        color: #007BFF;
        border-color: #007BFF;
        background-color: transparent;
    }